#include <iostream>
using namespace std;
#define ll long long
bool nif(ll niz[],ll broj,ll n){
    for(int i=0;i<n;++i){
        if(broj==niz[i]){
            return false;
        }
    }
    return true;
}
int main(){
    ll n,k,a[100000],br=0,ij=0,br1=0,br99=0,niz[100000];
    cin>>n>>k;
    niz[ij]=123457;
    for(int i=0;i<n;++i){
        cin>>a[i];
    }
    for(int i=0;i<n;++i){
        for(int j=0;j<n;++j){
            if(a[i]==a[j]){
                ++br;
            }
        }
        br99=a[i];
        if(br>=k and nif(niz,br99,ij)){
            ++br1;
            niz[ij]=a[i];
            ++ij;
        }
        br=0;
    }
    cout<<br1<<endl;
    for(int i=0;i<ij;++i){
        cout<<niz[i]<<" ";
    }
    return 0;
}